Package com.microblink.blinkid.fragment.overlay.blinkid.reticleui

# Class ReticleOverlayStrings.Builder

java.lang.Object
com.microblink.blinkid.fragment.overlay.OverlayStringsBuilder<ReticleOverlayStrings.Builder,com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleOverlayStrings.Builder.Key>
com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleOverlayStrings.Builder

All Implemented Interfaces:
  `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

Enclosing class:
  ReticleOverlayStrings

public static class ReticleOverlayStrings.Builder extends OverlayStringsBuilder<ReticleOverlayStrings.Builder,com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleOverlayStrings.Builder.Key> implements ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder(android.content.Context context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReticleOverlayStrings`
  `build()`
  `protected ReticleOverlayStrings.Builder`
  `getThis()`
  `ReticleOverlayStrings.Builder`
  `setBackSideBarcodeInstructions(String text)`
  `ReticleOverlayStrings.Builder`
  `setBackSideInstructions(String text)`
  `ReticleOverlayStrings.Builder`
  `setDataMismatchMessage(String message)`
  `ReticleOverlayStrings.Builder`
  `setDataMismatchTitle(String message)`
  `ReticleOverlayStrings.Builder`
  `setErrorBlurDetected(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorDocumentNotFullyVisible(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorDocumentTooCloseToEdge(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorFacePhotoNotFullyVisible(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorGlareDetected(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorMoveCloser(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorMoveFarther(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorScanningWrongPageLeft(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorScanningWrongPageRight(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorScanningWrongPageTop(String text)`
  `ReticleOverlayStrings.Builder`
  `setErrorScanningWrongSide(String text)`
  `ReticleOverlayStrings.Builder`
  `setFirstSideInstructionsText(String text)`
  `ReticleOverlayStrings.Builder`
  `setFlashlightWarningMessage(String text)`
  `ReticleOverlayStrings.Builder`
  `setFlipInstructions(String text)`
  `ReticleOverlayStrings.Builder`
  `setHelpTooltip(String helpTooltip)`
  `ReticleOverlayStrings.Builder`
  `setIntroductionDialogDoneButtonText(String doneButton)`
  `ReticleOverlayStrings.Builder`
  `setIntroductionDialogMessage(String dialogMessage)`
  `ReticleOverlayStrings.Builder`
  `setIntroductionDialogTitle(String dialogTitle)`
  `ReticleOverlayStrings.Builder`
  `setLeftPageInstructions(String text)`
  `ReticleOverlayStrings.Builder`
  `setOnboardingBackButtonText(String onboardingBackButtonText)`
  `ReticleOverlayStrings.Builder`
  `setOnboardingDoneButtonText(String onboardingDoneButtonText)`
  `ReticleOverlayStrings.Builder`
  `setOnboardingMessages(String[] onboardingMessages)`
  `ReticleOverlayStrings.Builder`
  `setOnboardingNextButtonText(String onboardingNextButtonText)`
  `ReticleOverlayStrings.Builder`
  `setOnboardingSkipButtonText(String onboardingSkipButtonText)`
  `ReticleOverlayStrings.Builder`
  `setOnboardingTitles(String[] onboardingTitles)`
  `ReticleOverlayStrings.Builder`
  `setRecognitionTimeoutMessage(String text)`
  `ReticleOverlayStrings.Builder`
  `setRecognitionTimeoutTitle(String text)`
  `ReticleOverlayStrings.Builder`
  `setRetryButtonText(String buttonText)`
  `ReticleOverlayStrings.Builder`
  `setRightPageInstructions(String text)`
  `ReticleOverlayStrings.Builder`
  `setSidesNotMatchingMessage(String message)`
  `ReticleOverlayStrings.Builder`
  `setSidesNotMatchingTitle(String title)`
  `ReticleOverlayStrings.Builder`
  `setTopPageInstructions(String text)`
  `ReticleOverlayStrings.Builder`
  `setTurnLeftPageInstructions(String text)`
  `ReticleOverlayStrings.Builder`
  `setTurnRightPageInstructions(String text)`
  `ReticleOverlayStrings.Builder`
  `setTurnTopPageInstructions(String text)`
  `ReticleOverlayStrings.Builder`
  `setUnsupportedDocumentMessage(String text)`
  `ReticleOverlayStrings.Builder`
  `setUnsupportedDocumentTitle(String text)`

  ### Methods inherited from class com.microblink.blinkid.fragment.overlay.OverlayStringsBuilder

  `get, get, put`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder(@NonNull android.content.Context context)

- ## Method Details

  - ### getThis

    @NonNull protected ReticleOverlayStrings.Builder getThis()
    Specified by:
      `getThis` in class `OverlayStringsBuilder<ReticleOverlayStrings.Builder,com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleOverlayStrings.Builder.Key>`

  - ### setSidesNotMatchingTitle

    @NonNull public ReticleOverlayStrings.Builder setSidesNotMatchingTitle(@Nullable String title)
    Specified by:
      `setSidesNotMatchingTitle` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setSidesNotMatchingMessage

    @NonNull public ReticleOverlayStrings.Builder setSidesNotMatchingMessage(@Nullable String message)
    Specified by:
      `setSidesNotMatchingMessage` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setDataMismatchTitle

    @NonNull public ReticleOverlayStrings.Builder setDataMismatchTitle(@Nullable String message)

  - ### setDataMismatchMessage

    @NonNull public ReticleOverlayStrings.Builder setDataMismatchMessage(@Nullable String message)

  - ### setRetryButtonText

    @NonNull public ReticleOverlayStrings.Builder setRetryButtonText(@Nullable String buttonText)
    Specified by:
      `setRetryButtonText` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setFirstSideInstructionsText

    @NonNull public ReticleOverlayStrings.Builder setFirstSideInstructionsText(@Nullable String text)
    Specified by:
      `setFirstSideInstructionsText` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setFlipInstructions

    @NonNull public ReticleOverlayStrings.Builder setFlipInstructions(@Nullable String text)
    Specified by:
      `setFlipInstructions` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setTurnTopPageInstructions

    @NonNull public ReticleOverlayStrings.Builder setTurnTopPageInstructions(@Nullable String text)
    Specified by:
      `setTurnTopPageInstructions` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setTurnLeftPageInstructions

    @NonNull public ReticleOverlayStrings.Builder setTurnLeftPageInstructions(@Nullable String text)
    Specified by:
      `setTurnLeftPageInstructions` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setTurnRightPageInstructions

    @NonNull public ReticleOverlayStrings.Builder setTurnRightPageInstructions(@Nullable String text)
    Specified by:
      `setTurnRightPageInstructions` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setBackSideInstructions

    @NonNull public ReticleOverlayStrings.Builder setBackSideInstructions(@Nullable String text)
    Specified by:
      `setBackSideInstructions` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setTopPageInstructions

    @NonNull public ReticleOverlayStrings.Builder setTopPageInstructions(@Nullable String text)
    Specified by:
      `setTopPageInstructions` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setLeftPageInstructions

    @NonNull public ReticleOverlayStrings.Builder setLeftPageInstructions(@Nullable String text)
    Specified by:
      `setLeftPageInstructions` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setRightPageInstructions

    @NonNull public ReticleOverlayStrings.Builder setRightPageInstructions(@Nullable String text)
    Specified by:
      `setRightPageInstructions` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setBackSideBarcodeInstructions

    @NonNull public ReticleOverlayStrings.Builder setBackSideBarcodeInstructions(@Nullable String text)
    Specified by:
      `setBackSideBarcodeInstructions` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorMoveCloser

    @NonNull public ReticleOverlayStrings.Builder setErrorMoveCloser(@Nullable String text)
    Specified by:
      `setErrorMoveCloser` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorMoveFarther

    @NonNull public ReticleOverlayStrings.Builder setErrorMoveFarther(@Nullable String text)
    Specified by:
      `setErrorMoveFarther` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorDocumentTooCloseToEdge

    @NonNull public ReticleOverlayStrings.Builder setErrorDocumentTooCloseToEdge(@Nullable String text)
    Specified by:
      `setErrorDocumentTooCloseToEdge` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorDocumentNotFullyVisible

    @NonNull public ReticleOverlayStrings.Builder setErrorDocumentNotFullyVisible(@Nullable String text)
    Specified by:
      `setErrorDocumentNotFullyVisible` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorBlurDetected

    @NonNull public ReticleOverlayStrings.Builder setErrorBlurDetected(@Nullable String text)
    Specified by:
      `setErrorBlurDetected` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorGlareDetected

    @NonNull public ReticleOverlayStrings.Builder setErrorGlareDetected(@Nullable String text)
    Specified by:
      `setErrorGlareDetected` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorScanningWrongSide

    @NonNull public ReticleOverlayStrings.Builder setErrorScanningWrongSide(@Nullable String text)
    Specified by:
      `setErrorScanningWrongSide` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorScanningWrongPageTop

    @NonNull public ReticleOverlayStrings.Builder setErrorScanningWrongPageTop(@Nullable String text)
    Specified by:
      `setErrorScanningWrongPageTop` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorScanningWrongPageLeft

    @NonNull public ReticleOverlayStrings.Builder setErrorScanningWrongPageLeft(@Nullable String text)
    Specified by:
      `setErrorScanningWrongPageLeft` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorScanningWrongPageRight

    @NonNull public ReticleOverlayStrings.Builder setErrorScanningWrongPageRight(@Nullable String text)
    Specified by:
      `setErrorScanningWrongPageRight` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setErrorFacePhotoNotFullyVisible

    @NonNull public ReticleOverlayStrings.Builder setErrorFacePhotoNotFullyVisible(@Nullable String text)
    Specified by:
      `setErrorFacePhotoNotFullyVisible` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setUnsupportedDocumentTitle

    @NonNull public ReticleOverlayStrings.Builder setUnsupportedDocumentTitle(@Nullable String text)
    Specified by:
      `setUnsupportedDocumentTitle` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setUnsupportedDocumentMessage

    @NonNull public ReticleOverlayStrings.Builder setUnsupportedDocumentMessage(@Nullable String text)
    Specified by:
      `setUnsupportedDocumentMessage` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setRecognitionTimeoutTitle

    @NonNull public ReticleOverlayStrings.Builder setRecognitionTimeoutTitle(@Nullable String text)
    Specified by:
      `setRecognitionTimeoutTitle` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setRecognitionTimeoutMessage

    @NonNull public ReticleOverlayStrings.Builder setRecognitionTimeoutMessage(@Nullable String text)
    Specified by:
      `setRecognitionTimeoutMessage` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setFlashlightWarningMessage

    @NonNull public ReticleOverlayStrings.Builder setFlashlightWarningMessage(@Nullable String text)
    Specified by:
      `setFlashlightWarningMessage` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setIntroductionDialogTitle

    @NonNull public ReticleOverlayStrings.Builder setIntroductionDialogTitle(@Nullable String dialogTitle)
    Specified by:
      `setIntroductionDialogTitle` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setIntroductionDialogMessage

    @NonNull public ReticleOverlayStrings.Builder setIntroductionDialogMessage(@Nullable String dialogMessage)
    Specified by:
      `setIntroductionDialogMessage` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setIntroductionDialogDoneButtonText

    @NonNull public ReticleOverlayStrings.Builder setIntroductionDialogDoneButtonText(@Nullable String doneButton)
    Specified by:
      `setIntroductionDialogDoneButtonText` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setHelpTooltip

    @NonNull public ReticleOverlayStrings.Builder setHelpTooltip(@Nullable String helpTooltip)
    Specified by:
      `setHelpTooltip` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setOnboardingSkipButtonText

    @NonNull public ReticleOverlayStrings.Builder setOnboardingSkipButtonText(@Nullable String onboardingSkipButtonText)
    Specified by:
      `setOnboardingSkipButtonText` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setOnboardingBackButtonText

    @NonNull public ReticleOverlayStrings.Builder setOnboardingBackButtonText(@Nullable String onboardingBackButtonText)
    Specified by:
      `setOnboardingBackButtonText` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setOnboardingNextButtonText

    @NonNull public ReticleOverlayStrings.Builder setOnboardingNextButtonText(@Nullable String onboardingNextButtonText)
    Specified by:
      `setOnboardingNextButtonText` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setOnboardingDoneButtonText

    @NonNull public ReticleOverlayStrings.Builder setOnboardingDoneButtonText(@Nullable String onboardingDoneButtonText)
    Specified by:
      `setOnboardingDoneButtonText` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setOnboardingTitles

    @NonNull public ReticleOverlayStrings.Builder setOnboardingTitles(@Nullable String[] onboardingTitles)
    Specified by:
      `setOnboardingTitles` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### setOnboardingMessages

    @NonNull public ReticleOverlayStrings.Builder setOnboardingMessages(@Nullable String[] onboardingMessages)
    Specified by:
      `setOnboardingMessages` in interface `ReticleOverlayStringsOptions<ReticleOverlayStrings.Builder>`

  - ### build

    @NonNull public ReticleOverlayStrings build()